Package com.datecs.fiscalprinter.SDK.model.UserLayerV2

# Class cmdConfig.HeaderFooter

java.lang.Object
com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice
com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdConfig
com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdConfig.HeaderFooter

Enclosing class:
  cmdConfig

    public static class cmdConfig.HeaderFooter
    extends cmdConfig

Provides methods for setting header and footer *

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdConfig

  `cmdConfig.DateTime, cmdConfig.HeaderFooter, cmdConfig.MainInterfaceType`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `HeaderFooter()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getFooterLines​(int lineIndex)` |
  `int` | `getFooterLinesCount()` |
  `java.lang.String` | `getHeaderLines​(java.lang.Integer lineIndex)` |
  `static int` | `getHeaderLinesCount()` | return - number of Header lines supported by the device
  `void` | `setFooterLine1​(java.lang.String footerLineText)` |
  `void` | `setFooterLine10​(java.lang.String footerLineText)` | For FMP-350,FP-705,FMP-450 only
  `void` | `setFooterLine2​(java.lang.String footerLineText)` |
  `void` | `setFooterLine3​(java.lang.String footerLineText)` |
  `void` | `setFooterLine4​(java.lang.String footerLineText)` | For FMP-350,FP-705,FMP-450 only
  `void` | `setFooterLine5​(java.lang.String footerLineText)` | For FMP-350,FP-705,FMP-450 only
  `void` | `setFooterLine6​(java.lang.String footerLineText)` | For FMP-350,FP-705,FMP-450 only
  `void` | `setFooterLine7​(java.lang.String footerLineText)` | For FMP-350,FP-705,FMP-450 only
  `void` | `setFooterLine8​(java.lang.String footerLineText)` |
  `void` | `setFooterLine9​(java.lang.String footerLineText)` | For FMP-350,FP-705,FMP-450 only
  `void` | `setFooterLines​(java.lang.Integer lineIndex, java.lang.String footerLineText)` | *
  `void` | `setHeaderLine10​(java.lang.String headerLineText)` | For FMP-350,FP-705,FMP-450 only
  `void` | `setHeaderLines​(java.lang.Integer lineIndex, java.lang.String headerLineText)` | *

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdConfig

  `GetAPN, GetAPN_Pass, GetAPN_User, GetAutoPowerOff, GetBarcodeHeight, GetBarcodePrint, GetBkLightAutoOff, GetBoldPayments, GetCondensedPrint, GetDHCPenable, GetDoveritelPrint, GetDuplicateRec, GetEcrConnectedCashReport, GetEcrConnectedGroupsReport, GetEcrExtendedReceipt, GetEcrPluDailyClearing, GetEcrSafeOpening, GetEmptyLineAfterTotal, GetForeignPrint, GetIMEI, GetInvoiceInterval, GetLANGateway, GetLANIP, GetLanMAC, GetLANNetMask, GetLANport, GetLANPriDNS, GetLANSecDNS, GetLogoPrint, GetMainInterfaceType, GetModemModel, GetNearPaperEndEnabled, GetPrintColumns, GetPrintColumnsSupported, GetPrnQuality, GetSimICCID, GetSimIMSI, GetSimPin, GetSimTelNumber, GetVatPrint, Logo_DataLoading, Logo_Restart, Logo_StartLoading, Logo_StopLoading, Logo_Updtae, SetAPN, SetAPN_Passr, SetAPN_User, SetAutoPaperCutting, SetAutoPowerOff, SetAutoPowerOff, SetBarcodeHeight, SetBarCodeHeight, SetBarcodeName, SetBarcodePrint, SetBkLightAutoOff, SetBoldPayments, SetBthDiscoverability, SetBthPairing, SetBthPinCode, SetCondensedPrint, SetCurrNameForeign, SetCurrNameLocal, SetDeptName, SetDeptPrice, SetDeptVAT, SetDHCPenable, SetDoveritelPrint, SetDsblKeyCancelReceipt, SetDsblKeyCloseReceipt, SetDsblKeyDateTime, SetDsblKeyDiagnostics, SetDsblKeyFmReports, SetDsblKeyJournal, SetDsblKeyXreport, SetDsblKeyZreport, SetDuplicateRec, SetEcrConnectedCashReport, SetEcrConnectedDeptReport, SetEcrConnectedGroupsReport, SetEcrConnectedOperReport, SetEcrExtendedReceipt, SetEcrMidnightWarning, SetEcrPluDailyClearing, SetEcrSafeOpening, SetEmptyLineAfterTotal, SetExchangeRate, SetExInvoiceInterval, SetForeignPrint, SetFpComBaudRate, SetInvoiceInterval, SetLANGateway, SetLANIP, SetLanMAC, SetLANNetMask, SetLANport, SetLANPriDNS, SetLANSecDNS, SetLogoPrint, SetMainInterfaceType, SetModemModel, SetNearPaperEndEnabled, SetOperName, SetOperPasw, SetPaperCuttingType, SetPaymentForbidden, SetPayName, SetPrintColumns, SetPrnQuality, SetServiceDate, SetServMessage, SetSimPin, SetUnitname, SetVatPrintEnable, Stamp_DataLoading, Stamp_Operation, Stamp_Restart, Stamp_StartLoading, Stamp_StopLoading, Stamp_Updtae`

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice

  `checkErrorCode, close, getConnectedECRV1, getConnectedModelV2, getConnectedPrinterV1, getCountryCode, getMaxDepartments, getMaxStockGroup, isCheckLastError, isConnectedDeviceV2, isConnectedECR, isConnectedPrinter, isEditItemPrice, isEditItemQTY, isFontSupported, isPaperCuttingDevice, setCheckLastError, setConnectedModel, setConnectedModel, setConnectedModel, setCountryCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HeaderFooter

    public HeaderFooter()

- ## Method Details

  - ### getHeaderLines

    public java.lang.String getHeaderLines​(java.lang.Integer lineIndex) throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### setHeaderLines

    public void setHeaderLines​(java.lang.Integer lineIndex, java.lang.String headerLineText) throws java.io.IOException, FiscalException
    *

    param lineIndex - Determinate Header line Index 0 is for line 1, Index 9 is for line 10; param headerLineText - Text up to XX symbols., *FMP-350, XX = 42/48 symbols. *FP-705, XX = 36/48 symbols. *FMP-450, XX = 36/48/64 symbols. throws IOException, FiscalException

    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### setFooterLines

    public void setFooterLines​(java.lang.Integer lineIndex, java.lang.String footerLineText) throws java.io.IOException, FiscalException
    *

    param lineIndex - Determinate Header line Index 0 is for line 1, Index 9 is for line 10; param footerLineText - Text up to XX symbols., *FMP-350, XX = 42/48 symbols. *FP-705, XX = 36/48 symbols. *FMP-450, XX = 36/48/64 symbols. throws IOException, FiscalException

    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### setHeaderLine10

    public void setHeaderLine10​(java.lang.String headerLineText) throws java.io.IOException, FiscalException
    For FMP-350,FP-705,FMP-450 only

    param headerLineText throws IOException, FiscalException

    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### setFooterLine1

    public void setFooterLine1​(java.lang.String footerLineText) throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### setFooterLine2

    public void setFooterLine2​(java.lang.String footerLineText) throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### setFooterLine3

    public void setFooterLine3​(java.lang.String footerLineText) throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### setFooterLine4

    public void setFooterLine4​(java.lang.String footerLineText) throws java.io.IOException, FiscalException
    For FMP-350,FP-705,FMP-450 only

    param footerLineText throws IOException, FiscalException

    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### setFooterLine5

    public void setFooterLine5​(java.lang.String footerLineText) throws java.io.IOException, FiscalException
    For FMP-350,FP-705,FMP-450 only

    param footerLineText throws IOException, FiscalException

    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### setFooterLine6

    public void setFooterLine6​(java.lang.String footerLineText) throws java.io.IOException, FiscalException
    For FMP-350,FP-705,FMP-450 only

    param footerLineText throws IOException, FiscalException

    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### setFooterLine7

    public void setFooterLine7​(java.lang.String footerLineText) throws java.io.IOException, FiscalException
    For FMP-350,FP-705,FMP-450 only

    param footerLineText throws IOException, FiscalException

    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### setFooterLine8

    public void setFooterLine8​(java.lang.String footerLineText) throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### setFooterLine9

    public void setFooterLine9​(java.lang.String footerLineText) throws java.io.IOException, FiscalException
    For FMP-350,FP-705,FMP-450 only

    param footerLineText throws IOException, FiscalException

    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### setFooterLine10

    public void setFooterLine10​(java.lang.String footerLineText) throws java.io.IOException, FiscalException
    For FMP-350,FP-705,FMP-450 only

    param footerLineText throws IOException, FiscalException

    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### getHeaderLinesCount

    public static int getHeaderLinesCount()
    return - number of Header lines supported by the device

  - ### getFooterLinesCount

    public int getFooterLinesCount()

  - ### getFooterLines

    public java.lang.String getFooterLines​(int lineIndex) throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`